Subject: Re: [PATCH] Detached HEAD (experimental)

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 9 Jan 2007 19:18:22 -0500

Junio C Hamano <[email-masked]> wrote:
> Linus Torvalds <[email-masked]> writes:
> >  - git checkout will refuse to switch AWAY from a detached head unless the 
> >    SHA1 of the detached head exactly matches some other branch.
> 
> ... or an existing "ref^{commit}".

I think that was implied.  ;-)
 
> > I'd love to see the detached HEAD series move into "master", but I do 
> > think we should make sure that people can't drop their work easily by 
> > mistake, and I think the above suggestion is both simple and workable.
> >
> > Comments?
> 
> I agree with the "reachability is wrong -- you would lose the
> point in the middle" reasoning.

I have no problem with that.  Forget the reachability thing entirely.

My point about reset --hard/--soft probably also needing this check
still stands however.

-- 
Shawn.